- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 18e74fce-8d5d-4e18-9377-ef8f308ad58a
    creation_time: 2023-02-17T12:05:49.618783Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops/for_infinite_loop_2.c
      input_file_hashes:
        c/loops/for_infinite_loop_2.c: 7bc805982786a976f5adb0f80bae15beee400650a8dc4a701e17af743466c2dc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/for_infinite_loop_2.c
    file_hash: 7bc805982786a976f5adb0f80bae15beee400650a8dc4a701e17af743466c2dc
    line: 23
    column: 0
    function: main
  loop_invariant:
    string: x == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 66e25313-19d5-4ddb-826c-9e7f9e78c8e0
    creation_time: 2023-02-17T12:05:49.619062Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops/for_infinite_loop_2.c
      input_file_hashes:
        c/loops/for_infinite_loop_2.c: 7bc805982786a976f5adb0f80bae15beee400650a8dc4a701e17af743466c2dc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/for_infinite_loop_2.c
    file_hash: 7bc805982786a976f5adb0f80bae15beee400650a8dc4a701e17af743466c2dc
    line: 25
    column: 0
    function: main
  location_invariant:
    string: x == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ed7aaea9-eb12-4f11-a8ed-1c9c9881ea24
    creation_time: 2023-02-17T12:05:49.619152Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops/for_infinite_loop_2.c
      input_file_hashes:
        c/loops/for_infinite_loop_2.c: 7bc805982786a976f5adb0f80bae15beee400650a8dc4a701e17af743466c2dc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/for_infinite_loop_2.c
    file_hash: 7bc805982786a976f5adb0f80bae15beee400650a8dc4a701e17af743466c2dc
    line: 27
    column: 0
    function: main
  location_invariant:
    string: x!=0
    type: assertion
    format: C

